std::unary_function< _Arg, _Result > Struct Template Reference
Utilities » Function Objects

`#include <stl_function.h>`

Inheritance diagram for std::unary_function< _Arg, _Result >:
[legend]

## Public Types

typedef _Arg | argument_type
typedef _Result | result_type

## Detailed Description

template<typename _Arg, typename _Result>
struct std::unary_function< _Arg, _Result >

This is one of the functor base classes.

Definition at line 105 of file stl_function.h.

## Member Typedef Documentation

## argument_type

template<typename _Arg , typename _Result >

typedef _Arg std::unary_function< _Arg, _Result >::argument_type

`argument_type` is the type of the argument

Definition at line 108 of file stl_function.h.

## result_type

template<typename _Arg , typename _Result >

typedef _Result std::unary_function< _Arg, _Result >::result_type

`result_type` is the return type

Definition at line 111 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h